Name: kkbswitch
Version: 1.4.3
Release: %mkrel 1
Summary: Keyboard layout indicator for KDE
Group: Graphical desktop/KDE
URL: http://kkbswitch.sourceforge.net/
License: GPLv2+
Source: %name-%version.tar.gz
Patch0: kkbswitch-1.4.3-fix-desktop-file.patch
Patch1: default-icon-type.patch
BuildRequires: kdelibs-devel
BuildRequires: desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
KKBSwitch is a keyboard layout indicator for KDE

%prep
%setup -q -n %name-%version
%patch0 -p0 -b .orig
%patch1 -p1

%build
%configure2_5x \
    --enable-dependency-tracking \
    --disable-rpath \
    --disable-ru-ua-layout

%make

%install
rm -fr %buildroot
%makeinstall_std

desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_datadir/applications/kde \
	--remove-key='Encoding' \
	--remove-key='MimeTypes' \
	--remove-category='Utility' \
	--add-only-show-in='KDE' \
	--add-category='HardwareSettings;Settings' \
	%buildroot%_datadir/applnk/Utilities/*.desktop

%find_lang %name --with-html

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %name.lang
%doc README TODO ChangeLog AUTHORS
%_bindir/*
%_datadir/apps/%name
%_datadir/apps/kconf_update/*
%_datadir/applications/kde/*.desktop
%_datadir/autostart/*.desktop
%_mandir/man1/kkbswitch.1.*


%changelog
* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 1.4.3-1mdv2008.1
+ Revision: 163654
- fill up post postun clean section
- import kkbswitch


